﻿using Bridge.Implementations;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace Bridge.Bridges
{
	internal class ExtendedAbstraction : Abstraction
	{
		public ExtendedAbstraction(IImplementation implementation) : base(implementation)
		{
		}

		public override string Operation()
		{
			return $"ExtendedAbstraction: Extended operation with: {_implementation.OperationImplementation()}";
		}
	}
}
