﻿using Memonto.Mementos;
using Memonto.Originators;

namespace Memonto
{
    internal class Program
    {
        static void Main(string[] args)
        {
            Originator originator = new Originator("Super-duper-super-puper-super.");
            Caretaker caretaker = new Caretaker(originator);

            caretaker.Backup();
            originator.DoSomething();

            caretaker.Backup();
            originator.DoSomething();

            caretaker.Backup();
            originator.DoSomething();

            Console.WriteLine();
            caretaker.ShowHistory();

            Console.WriteLine();
            Console.WriteLine("Client: Now, let's rollback!");
            Console.WriteLine();
            caretaker.Undo();

            Console.WriteLine();
            Console.WriteLine("Client: Once more!");
            Console.WriteLine();
            caretaker.Undo();

            Console.WriteLine();
        }
    }
}